__acl: if users/groups check fail, log error and exit in explorer

This commit is contained in:
ander 2019-04-24 00:08:43 +03:00
parent 31b9859e08
commit 894311a572
2 changed files with 2 additions and 9 deletions

View File

@ -40,7 +40,8 @@ do
if ! getent "$getent_db" "$check" > /dev/null
then
echo "missing $parameter '$check'"
echo "missing $parameter '$check'" >&2
exit 1
fi
done \
< "$__object/parameter/$parameter"

View File

@ -22,14 +22,6 @@ file_is="$( cat "$__object/explorer/file_is" )"
[ "$file_is" = 'missing' ] && exit 0
missing_users_groups="$( cat "$__object/explorer/missing_users_groups" )"
if [ -n "$missing_users_groups" ]
then
echo "$missing_users_groups" >&2
exit 1
fi
os="$( cat "$__global/explorer/os" )"
acl_is="$( cat "$__object/explorer/acl_is" )"